Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234721 - Review Request: sakura - A terminal emulator based on GTK+ and VTE
Summary: Review Request: sakura - A terminal emulator based on GTK+ and VTE
Keywords:
Status: CLOSED DUPLICATE of bug 496166
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Xavier Lamien
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-03-31 21:09 UTC by Damien Durand
Modified: 2009-04-17 04:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-09 17:38:07 UTC


Attachments (Terms of Use)

Description Damien Durand 2007-03-31 21:09:27 UTC
Spec URL: http://glive.tuxfamily.org/fedora/sakura/sakura.spec
SRPM URL: http://glive.tuxfamily.org/fedora/sakura/sakura-1.1.4-1.src.rpm
Description: sakura is a vte-based terminal emulator. It aims to provide a terminal 
emulator that only depends on GTK and VTE. It uses a notebook to allow 
multiple tabs in the same window

Comment 1 Trond Danielsen 2007-04-01 19:09:54 UTC
Two small issues:

[trondd@localhost ~]$ rpmlint rpmbuild/RPMS/i386/sakura-*
E: sakura non-standard-executable-perm /usr/share/pixmaps/terminal-tango.png 0555
E: sakura non-standard-executable-perm /usr/bin/sakura 0555

Comment 2 Damien Durand 2007-04-03 13:10:24 UTC
Fixed with a new rpm

Spec URL: http://glive.tuxfamily.org/fedora/sakura/sakura.spec
SRPM URL: http://glive.tuxfamily.org/fedora/sakura/sakura-1.1.4-2.src.rpm

Comment 3 Xavier Lamien 2007-04-06 14:48:31 UTC
Well,

You should add flags INSTALL="install -p" to your make install to keep timestamp
on files, such as doc files, *.png files (which is included including in this
package).

------
.desktop file
------

** category: Application and X-fedora is deprecated and SHOULD be remove.

  can be fix by adding "-remove-category=" option

** .desktop file : no correct permission -> 0664

[SmootherFrOgZ@Helzeilerd ~]$ ll rpmbuild/SOURCES/sakura.desktop 
-rw-rw-r-- 1 SmootherFrOg lxtnow 271 Apr 6 09:47 rpmbuild/SOURCES/sakura.desktop

  can be fix by adding -mode 0644 option from desktop-file-install.

** scriptlets:

%post
update-desktop-database &> /dev/null ||:

%postun
update-desktop-database &> /dev/null ||:

The use of above is only require when the desktop entry have a mime type key.
and isn't the case.
This scriptlet can be remove.


Comment 4 Mamoru TASAKA 2007-04-06 16:19:10 UTC
Some notes:
* Timestamps
  - Well, while the method 'INSTALL="%{__install} -p"' normally
    works for makefile.in generated by GNU autotools, 
    for the types of makefiles which were created by developer 
    by his own way (like this package), it is very rare that
    this method still works (and actually for this package
    it does not work).
    For the latter case, the packager has to check what are actually
    done on install stage and fix some files appropriately.
    Normally the package has to change the command like "cp" or
    "install" appropriately (see the lines 119-148 of mobs.mk).

* Cflags
  - And for makefiles generated by GNU autotools, fedora specific
    compilation flags are normally passed correctly by %configure
    macro (please check what %configure actually does),
    however, again for the types of makefiles created by the developer's
    own way, passing cflags has to be done with a special care
    Actually
------------------------------------------
%build
./0 --prefix=/usr
make %{?_smp_mflags}
------------------------------------------
    does not use fedora specific compilation flags (%optflags or
    $RPM_BUILD_FLAGS). You have to use this flags _somehow_

* Desktop file
  - Be careful on the each item on desktop file (e.g. is the
    path for icon used correct? in the first place, does the
    path have to be specified by full path?)

Comment 5 Mamoru TASAKA 2007-04-06 16:28:51 UTC
(In reply to comment #4)
>     $RPM_BUILD_FLAGS). 

$RPM_OPT_FLAGS, sorry


Comment 6 Xavier Lamien 2007-04-11 00:31:43 UTC
ping ?

Comment 7 Xavier Lamien 2007-04-17 15:06:41 UTC
re: ping ?

Comment 8 Xavier Lamien 2007-04-22 22:33:30 UTC
no answer from the reporter until now

Comment 9 Mamoru TASAKA 2007-05-31 17:38:08 UTC
I will close this bug as NOTABUG if no response is
received within ONE WEEK.

Comment 10 Mamoru TASAKA 2007-06-09 17:38:07 UTC
CLOSING.

If someone want to maintain this package, please sumbit a new
review request, Thank you.

Comment 11 Mamoru TASAKA 2009-04-17 04:44:20 UTC

*** This bug has been marked as a duplicate of bug 496166 ***


Note You need to log in before you can comment on or make changes to this bug.